Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:2c00/120
First address
2c19:dd:d9:dd:c25:c25:94de:2c00
Last address
2c19:dd:d9:dd:c25:c25:94de:2cff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:2c00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
c.2.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:94de:2c00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:2c00/1282c19:dd:d9:dd:c25:c25:94de:2c00
22c19:dd:d9:dd:c25:c25:94de:2c01/1282c19:dd:d9:dd:c25:c25:94de:2c01
32c19:dd:d9:dd:c25:c25:94de:2c02/1282c19:dd:d9:dd:c25:c25:94de:2c02
42c19:dd:d9:dd:c25:c25:94de:2c03/1282c19:dd:d9:dd:c25:c25:94de:2c03
52c19:dd:d9:dd:c25:c25:94de:2c04/1282c19:dd:d9:dd:c25:c25:94de:2c04
62c19:dd:d9:dd:c25:c25:94de:2c05/1282c19:dd:d9:dd:c25:c25:94de:2c05
72c19:dd:d9:dd:c25:c25:94de:2c06/1282c19:dd:d9:dd:c25:c25:94de:2c06
82c19:dd:d9:dd:c25:c25:94de:2c07/1282c19:dd:d9:dd:c25:c25:94de:2c07
92c19:dd:d9:dd:c25:c25:94de:2c08/1282c19:dd:d9:dd:c25:c25:94de:2c08
102c19:dd:d9:dd:c25:c25:94de:2c09/1282c19:dd:d9:dd:c25:c25:94de:2c09
112c19:dd:d9:dd:c25:c25:94de:2c0a/1282c19:dd:d9:dd:c25:c25:94de:2c0a
122c19:dd:d9:dd:c25:c25:94de:2c0b/1282c19:dd:d9:dd:c25:c25:94de:2c0b
132c19:dd:d9:dd:c25:c25:94de:2c0c/1282c19:dd:d9:dd:c25:c25:94de:2c0c
142c19:dd:d9:dd:c25:c25:94de:2c0d/1282c19:dd:d9:dd:c25:c25:94de:2c0d
152c19:dd:d9:dd:c25:c25:94de:2c0e/1282c19:dd:d9:dd:c25:c25:94de:2c0e
162c19:dd:d9:dd:c25:c25:94de:2c0f/1282c19:dd:d9:dd:c25:c25:94de:2c0f
172c19:dd:d9:dd:c25:c25:94de:2c10/1282c19:dd:d9:dd:c25:c25:94de:2c10
182c19:dd:d9:dd:c25:c25:94de:2c11/1282c19:dd:d9:dd:c25:c25:94de:2c11
192c19:dd:d9:dd:c25:c25:94de:2c12/1282c19:dd:d9:dd:c25:c25:94de:2c12
202c19:dd:d9:dd:c25:c25:94de:2c13/1282c19:dd:d9:dd:c25:c25:94de:2c13
212c19:dd:d9:dd:c25:c25:94de:2c14/1282c19:dd:d9:dd:c25:c25:94de:2c14
222c19:dd:d9:dd:c25:c25:94de:2c15/1282c19:dd:d9:dd:c25:c25:94de:2c15
232c19:dd:d9:dd:c25:c25:94de:2c16/1282c19:dd:d9:dd:c25:c25:94de:2c16
242c19:dd:d9:dd:c25:c25:94de:2c17/1282c19:dd:d9:dd:c25:c25:94de:2c17
252c19:dd:d9:dd:c25:c25:94de:2c18/1282c19:dd:d9:dd:c25:c25:94de:2c18
262c19:dd:d9:dd:c25:c25:94de:2c19/1282c19:dd:d9:dd:c25:c25:94de:2c19
272c19:dd:d9:dd:c25:c25:94de:2c1a/1282c19:dd:d9:dd:c25:c25:94de:2c1a
282c19:dd:d9:dd:c25:c25:94de:2c1b/1282c19:dd:d9:dd:c25:c25:94de:2c1b
292c19:dd:d9:dd:c25:c25:94de:2c1c/1282c19:dd:d9:dd:c25:c25:94de:2c1c
302c19:dd:d9:dd:c25:c25:94de:2c1d/1282c19:dd:d9:dd:c25:c25:94de:2c1d
312c19:dd:d9:dd:c25:c25:94de:2c1e/1282c19:dd:d9:dd:c25:c25:94de:2c1e
322c19:dd:d9:dd:c25:c25:94de:2c1f/1282c19:dd:d9:dd:c25:c25:94de:2c1f
332c19:dd:d9:dd:c25:c25:94de:2c20/1282c19:dd:d9:dd:c25:c25:94de:2c20
342c19:dd:d9:dd:c25:c25:94de:2c21/1282c19:dd:d9:dd:c25:c25:94de:2c21
352c19:dd:d9:dd:c25:c25:94de:2c22/1282c19:dd:d9:dd:c25:c25:94de:2c22
362c19:dd:d9:dd:c25:c25:94de:2c23/1282c19:dd:d9:dd:c25:c25:94de:2c23
372c19:dd:d9:dd:c25:c25:94de:2c24/1282c19:dd:d9:dd:c25:c25:94de:2c24
382c19:dd:d9:dd:c25:c25:94de:2c25/1282c19:dd:d9:dd:c25:c25:94de:2c25
392c19:dd:d9:dd:c25:c25:94de:2c26/1282c19:dd:d9:dd:c25:c25:94de:2c26
402c19:dd:d9:dd:c25:c25:94de:2c27/1282c19:dd:d9:dd:c25:c25:94de:2c27
412c19:dd:d9:dd:c25:c25:94de:2c28/1282c19:dd:d9:dd:c25:c25:94de:2c28
422c19:dd:d9:dd:c25:c25:94de:2c29/1282c19:dd:d9:dd:c25:c25:94de:2c29
432c19:dd:d9:dd:c25:c25:94de:2c2a/1282c19:dd:d9:dd:c25:c25:94de:2c2a
442c19:dd:d9:dd:c25:c25:94de:2c2b/1282c19:dd:d9:dd:c25:c25:94de:2c2b
452c19:dd:d9:dd:c25:c25:94de:2c2c/1282c19:dd:d9:dd:c25:c25:94de:2c2c
462c19:dd:d9:dd:c25:c25:94de:2c2d/1282c19:dd:d9:dd:c25:c25:94de:2c2d
472c19:dd:d9:dd:c25:c25:94de:2c2e/1282c19:dd:d9:dd:c25:c25:94de:2c2e
482c19:dd:d9:dd:c25:c25:94de:2c2f/1282c19:dd:d9:dd:c25:c25:94de:2c2f
492c19:dd:d9:dd:c25:c25:94de:2c30/1282c19:dd:d9:dd:c25:c25:94de:2c30
502c19:dd:d9:dd:c25:c25:94de:2c31/1282c19:dd:d9:dd:c25:c25:94de:2c31
512c19:dd:d9:dd:c25:c25:94de:2c32/1282c19:dd:d9:dd:c25:c25:94de:2c32
522c19:dd:d9:dd:c25:c25:94de:2c33/1282c19:dd:d9:dd:c25:c25:94de:2c33
532c19:dd:d9:dd:c25:c25:94de:2c34/1282c19:dd:d9:dd:c25:c25:94de:2c34
542c19:dd:d9:dd:c25:c25:94de:2c35/1282c19:dd:d9:dd:c25:c25:94de:2c35
552c19:dd:d9:dd:c25:c25:94de:2c36/1282c19:dd:d9:dd:c25:c25:94de:2c36
562c19:dd:d9:dd:c25:c25:94de:2c37/1282c19:dd:d9:dd:c25:c25:94de:2c37
572c19:dd:d9:dd:c25:c25:94de:2c38/1282c19:dd:d9:dd:c25:c25:94de:2c38
582c19:dd:d9:dd:c25:c25:94de:2c39/1282c19:dd:d9:dd:c25:c25:94de:2c39
592c19:dd:d9:dd:c25:c25:94de:2c3a/1282c19:dd:d9:dd:c25:c25:94de:2c3a
602c19:dd:d9:dd:c25:c25:94de:2c3b/1282c19:dd:d9:dd:c25:c25:94de:2c3b
612c19:dd:d9:dd:c25:c25:94de:2c3c/1282c19:dd:d9:dd:c25:c25:94de:2c3c
622c19:dd:d9:dd:c25:c25:94de:2c3d/1282c19:dd:d9:dd:c25:c25:94de:2c3d
632c19:dd:d9:dd:c25:c25:94de:2c3e/1282c19:dd:d9:dd:c25:c25:94de:2c3e
642c19:dd:d9:dd:c25:c25:94de:2c3f/1282c19:dd:d9:dd:c25:c25:94de:2c3f
652c19:dd:d9:dd:c25:c25:94de:2c40/1282c19:dd:d9:dd:c25:c25:94de:2c40
662c19:dd:d9:dd:c25:c25:94de:2c41/1282c19:dd:d9:dd:c25:c25:94de:2c41
672c19:dd:d9:dd:c25:c25:94de:2c42/1282c19:dd:d9:dd:c25:c25:94de:2c42
682c19:dd:d9:dd:c25:c25:94de:2c43/1282c19:dd:d9:dd:c25:c25:94de:2c43
692c19:dd:d9:dd:c25:c25:94de:2c44/1282c19:dd:d9:dd:c25:c25:94de:2c44
702c19:dd:d9:dd:c25:c25:94de:2c45/1282c19:dd:d9:dd:c25:c25:94de:2c45
712c19:dd:d9:dd:c25:c25:94de:2c46/1282c19:dd:d9:dd:c25:c25:94de:2c46
722c19:dd:d9:dd:c25:c25:94de:2c47/1282c19:dd:d9:dd:c25:c25:94de:2c47
732c19:dd:d9:dd:c25:c25:94de:2c48/1282c19:dd:d9:dd:c25:c25:94de:2c48
742c19:dd:d9:dd:c25:c25:94de:2c49/1282c19:dd:d9:dd:c25:c25:94de:2c49
752c19:dd:d9:dd:c25:c25:94de:2c4a/1282c19:dd:d9:dd:c25:c25:94de:2c4a
762c19:dd:d9:dd:c25:c25:94de:2c4b/1282c19:dd:d9:dd:c25:c25:94de:2c4b
772c19:dd:d9:dd:c25:c25:94de:2c4c/1282c19:dd:d9:dd:c25:c25:94de:2c4c
782c19:dd:d9:dd:c25:c25:94de:2c4d/1282c19:dd:d9:dd:c25:c25:94de:2c4d
792c19:dd:d9:dd:c25:c25:94de:2c4e/1282c19:dd:d9:dd:c25:c25:94de:2c4e
802c19:dd:d9:dd:c25:c25:94de:2c4f/1282c19:dd:d9:dd:c25:c25:94de:2c4f
812c19:dd:d9:dd:c25:c25:94de:2c50/1282c19:dd:d9:dd:c25:c25:94de:2c50
822c19:dd:d9:dd:c25:c25:94de:2c51/1282c19:dd:d9:dd:c25:c25:94de:2c51
832c19:dd:d9:dd:c25:c25:94de:2c52/1282c19:dd:d9:dd:c25:c25:94de:2c52
842c19:dd:d9:dd:c25:c25:94de:2c53/1282c19:dd:d9:dd:c25:c25:94de:2c53
852c19:dd:d9:dd:c25:c25:94de:2c54/1282c19:dd:d9:dd:c25:c25:94de:2c54
862c19:dd:d9:dd:c25:c25:94de:2c55/1282c19:dd:d9:dd:c25:c25:94de:2c55
872c19:dd:d9:dd:c25:c25:94de:2c56/1282c19:dd:d9:dd:c25:c25:94de:2c56
882c19:dd:d9:dd:c25:c25:94de:2c57/1282c19:dd:d9:dd:c25:c25:94de:2c57
892c19:dd:d9:dd:c25:c25:94de:2c58/1282c19:dd:d9:dd:c25:c25:94de:2c58
902c19:dd:d9:dd:c25:c25:94de:2c59/1282c19:dd:d9:dd:c25:c25:94de:2c59
912c19:dd:d9:dd:c25:c25:94de:2c5a/1282c19:dd:d9:dd:c25:c25:94de:2c5a
922c19:dd:d9:dd:c25:c25:94de:2c5b/1282c19:dd:d9:dd:c25:c25:94de:2c5b
932c19:dd:d9:dd:c25:c25:94de:2c5c/1282c19:dd:d9:dd:c25:c25:94de:2c5c
942c19:dd:d9:dd:c25:c25:94de:2c5d/1282c19:dd:d9:dd:c25:c25:94de:2c5d
952c19:dd:d9:dd:c25:c25:94de:2c5e/1282c19:dd:d9:dd:c25:c25:94de:2c5e
962c19:dd:d9:dd:c25:c25:94de:2c5f/1282c19:dd:d9:dd:c25:c25:94de:2c5f
972c19:dd:d9:dd:c25:c25:94de:2c60/1282c19:dd:d9:dd:c25:c25:94de:2c60
982c19:dd:d9:dd:c25:c25:94de:2c61/1282c19:dd:d9:dd:c25:c25:94de:2c61
992c19:dd:d9:dd:c25:c25:94de:2c62/1282c19:dd:d9:dd:c25:c25:94de:2c62
1002c19:dd:d9:dd:c25:c25:94de:2c63/1282c19:dd:d9:dd:c25:c25:94de:2c63
1012c19:dd:d9:dd:c25:c25:94de:2c64/1282c19:dd:d9:dd:c25:c25:94de:2c64
1022c19:dd:d9:dd:c25:c25:94de:2c65/1282c19:dd:d9:dd:c25:c25:94de:2c65
1032c19:dd:d9:dd:c25:c25:94de:2c66/1282c19:dd:d9:dd:c25:c25:94de:2c66
1042c19:dd:d9:dd:c25:c25:94de:2c67/1282c19:dd:d9:dd:c25:c25:94de:2c67
1052c19:dd:d9:dd:c25:c25:94de:2c68/1282c19:dd:d9:dd:c25:c25:94de:2c68
1062c19:dd:d9:dd:c25:c25:94de:2c69/1282c19:dd:d9:dd:c25:c25:94de:2c69
1072c19:dd:d9:dd:c25:c25:94de:2c6a/1282c19:dd:d9:dd:c25:c25:94de:2c6a
1082c19:dd:d9:dd:c25:c25:94de:2c6b/1282c19:dd:d9:dd:c25:c25:94de:2c6b
1092c19:dd:d9:dd:c25:c25:94de:2c6c/1282c19:dd:d9:dd:c25:c25:94de:2c6c
1102c19:dd:d9:dd:c25:c25:94de:2c6d/1282c19:dd:d9:dd:c25:c25:94de:2c6d
1112c19:dd:d9:dd:c25:c25:94de:2c6e/1282c19:dd:d9:dd:c25:c25:94de:2c6e
1122c19:dd:d9:dd:c25:c25:94de:2c6f/1282c19:dd:d9:dd:c25:c25:94de:2c6f
1132c19:dd:d9:dd:c25:c25:94de:2c70/1282c19:dd:d9:dd:c25:c25:94de:2c70
1142c19:dd:d9:dd:c25:c25:94de:2c71/1282c19:dd:d9:dd:c25:c25:94de:2c71
1152c19:dd:d9:dd:c25:c25:94de:2c72/1282c19:dd:d9:dd:c25:c25:94de:2c72
1162c19:dd:d9:dd:c25:c25:94de:2c73/1282c19:dd:d9:dd:c25:c25:94de:2c73
1172c19:dd:d9:dd:c25:c25:94de:2c74/1282c19:dd:d9:dd:c25:c25:94de:2c74
1182c19:dd:d9:dd:c25:c25:94de:2c75/1282c19:dd:d9:dd:c25:c25:94de:2c75
1192c19:dd:d9:dd:c25:c25:94de:2c76/1282c19:dd:d9:dd:c25:c25:94de:2c76
1202c19:dd:d9:dd:c25:c25:94de:2c77/1282c19:dd:d9:dd:c25:c25:94de:2c77
1212c19:dd:d9:dd:c25:c25:94de:2c78/1282c19:dd:d9:dd:c25:c25:94de:2c78
1222c19:dd:d9:dd:c25:c25:94de:2c79/1282c19:dd:d9:dd:c25:c25:94de:2c79
1232c19:dd:d9:dd:c25:c25:94de:2c7a/1282c19:dd:d9:dd:c25:c25:94de:2c7a
1242c19:dd:d9:dd:c25:c25:94de:2c7b/1282c19:dd:d9:dd:c25:c25:94de:2c7b
1252c19:dd:d9:dd:c25:c25:94de:2c7c/1282c19:dd:d9:dd:c25:c25:94de:2c7c
1262c19:dd:d9:dd:c25:c25:94de:2c7d/1282c19:dd:d9:dd:c25:c25:94de:2c7d
1272c19:dd:d9:dd:c25:c25:94de:2c7e/1282c19:dd:d9:dd:c25:c25:94de:2c7e
1282c19:dd:d9:dd:c25:c25:94de:2c7f/1282c19:dd:d9:dd:c25:c25:94de:2c7f
1292c19:dd:d9:dd:c25:c25:94de:2c80/1282c19:dd:d9:dd:c25:c25:94de:2c80
1302c19:dd:d9:dd:c25:c25:94de:2c81/1282c19:dd:d9:dd:c25:c25:94de:2c81
1312c19:dd:d9:dd:c25:c25:94de:2c82/1282c19:dd:d9:dd:c25:c25:94de:2c82
1322c19:dd:d9:dd:c25:c25:94de:2c83/1282c19:dd:d9:dd:c25:c25:94de:2c83
1332c19:dd:d9:dd:c25:c25:94de:2c84/1282c19:dd:d9:dd:c25:c25:94de:2c84
1342c19:dd:d9:dd:c25:c25:94de:2c85/1282c19:dd:d9:dd:c25:c25:94de:2c85
1352c19:dd:d9:dd:c25:c25:94de:2c86/1282c19:dd:d9:dd:c25:c25:94de:2c86
1362c19:dd:d9:dd:c25:c25:94de:2c87/1282c19:dd:d9:dd:c25:c25:94de:2c87
1372c19:dd:d9:dd:c25:c25:94de:2c88/1282c19:dd:d9:dd:c25:c25:94de:2c88
1382c19:dd:d9:dd:c25:c25:94de:2c89/1282c19:dd:d9:dd:c25:c25:94de:2c89
1392c19:dd:d9:dd:c25:c25:94de:2c8a/1282c19:dd:d9:dd:c25:c25:94de:2c8a
1402c19:dd:d9:dd:c25:c25:94de:2c8b/1282c19:dd:d9:dd:c25:c25:94de:2c8b
1412c19:dd:d9:dd:c25:c25:94de:2c8c/1282c19:dd:d9:dd:c25:c25:94de:2c8c
1422c19:dd:d9:dd:c25:c25:94de:2c8d/1282c19:dd:d9:dd:c25:c25:94de:2c8d
1432c19:dd:d9:dd:c25:c25:94de:2c8e/1282c19:dd:d9:dd:c25:c25:94de:2c8e
1442c19:dd:d9:dd:c25:c25:94de:2c8f/1282c19:dd:d9:dd:c25:c25:94de:2c8f
1452c19:dd:d9:dd:c25:c25:94de:2c90/1282c19:dd:d9:dd:c25:c25:94de:2c90
1462c19:dd:d9:dd:c25:c25:94de:2c91/1282c19:dd:d9:dd:c25:c25:94de:2c91
1472c19:dd:d9:dd:c25:c25:94de:2c92/1282c19:dd:d9:dd:c25:c25:94de:2c92
1482c19:dd:d9:dd:c25:c25:94de:2c93/1282c19:dd:d9:dd:c25:c25:94de:2c93
1492c19:dd:d9:dd:c25:c25:94de:2c94/1282c19:dd:d9:dd:c25:c25:94de:2c94
1502c19:dd:d9:dd:c25:c25:94de:2c95/1282c19:dd:d9:dd:c25:c25:94de:2c95
1512c19:dd:d9:dd:c25:c25:94de:2c96/1282c19:dd:d9:dd:c25:c25:94de:2c96
1522c19:dd:d9:dd:c25:c25:94de:2c97/1282c19:dd:d9:dd:c25:c25:94de:2c97
1532c19:dd:d9:dd:c25:c25:94de:2c98/1282c19:dd:d9:dd:c25:c25:94de:2c98
1542c19:dd:d9:dd:c25:c25:94de:2c99/1282c19:dd:d9:dd:c25:c25:94de:2c99
1552c19:dd:d9:dd:c25:c25:94de:2c9a/1282c19:dd:d9:dd:c25:c25:94de:2c9a
1562c19:dd:d9:dd:c25:c25:94de:2c9b/1282c19:dd:d9:dd:c25:c25:94de:2c9b
1572c19:dd:d9:dd:c25:c25:94de:2c9c/1282c19:dd:d9:dd:c25:c25:94de:2c9c
1582c19:dd:d9:dd:c25:c25:94de:2c9d/1282c19:dd:d9:dd:c25:c25:94de:2c9d
1592c19:dd:d9:dd:c25:c25:94de:2c9e/1282c19:dd:d9:dd:c25:c25:94de:2c9e
1602c19:dd:d9:dd:c25:c25:94de:2c9f/1282c19:dd:d9:dd:c25:c25:94de:2c9f
1612c19:dd:d9:dd:c25:c25:94de:2ca0/1282c19:dd:d9:dd:c25:c25:94de:2ca0
1622c19:dd:d9:dd:c25:c25:94de:2ca1/1282c19:dd:d9:dd:c25:c25:94de:2ca1
1632c19:dd:d9:dd:c25:c25:94de:2ca2/1282c19:dd:d9:dd:c25:c25:94de:2ca2
1642c19:dd:d9:dd:c25:c25:94de:2ca3/1282c19:dd:d9:dd:c25:c25:94de:2ca3
1652c19:dd:d9:dd:c25:c25:94de:2ca4/1282c19:dd:d9:dd:c25:c25:94de:2ca4
1662c19:dd:d9:dd:c25:c25:94de:2ca5/1282c19:dd:d9:dd:c25:c25:94de:2ca5
1672c19:dd:d9:dd:c25:c25:94de:2ca6/1282c19:dd:d9:dd:c25:c25:94de:2ca6
1682c19:dd:d9:dd:c25:c25:94de:2ca7/1282c19:dd:d9:dd:c25:c25:94de:2ca7
1692c19:dd:d9:dd:c25:c25:94de:2ca8/1282c19:dd:d9:dd:c25:c25:94de:2ca8
1702c19:dd:d9:dd:c25:c25:94de:2ca9/1282c19:dd:d9:dd:c25:c25:94de:2ca9
1712c19:dd:d9:dd:c25:c25:94de:2caa/1282c19:dd:d9:dd:c25:c25:94de:2caa
1722c19:dd:d9:dd:c25:c25:94de:2cab/1282c19:dd:d9:dd:c25:c25:94de:2cab
1732c19:dd:d9:dd:c25:c25:94de:2cac/1282c19:dd:d9:dd:c25:c25:94de:2cac
1742c19:dd:d9:dd:c25:c25:94de:2cad/1282c19:dd:d9:dd:c25:c25:94de:2cad
1752c19:dd:d9:dd:c25:c25:94de:2cae/1282c19:dd:d9:dd:c25:c25:94de:2cae
1762c19:dd:d9:dd:c25:c25:94de:2caf/1282c19:dd:d9:dd:c25:c25:94de:2caf
1772c19:dd:d9:dd:c25:c25:94de:2cb0/1282c19:dd:d9:dd:c25:c25:94de:2cb0
1782c19:dd:d9:dd:c25:c25:94de:2cb1/1282c19:dd:d9:dd:c25:c25:94de:2cb1
1792c19:dd:d9:dd:c25:c25:94de:2cb2/1282c19:dd:d9:dd:c25:c25:94de:2cb2
1802c19:dd:d9:dd:c25:c25:94de:2cb3/1282c19:dd:d9:dd:c25:c25:94de:2cb3
1812c19:dd:d9:dd:c25:c25:94de:2cb4/1282c19:dd:d9:dd:c25:c25:94de:2cb4
1822c19:dd:d9:dd:c25:c25:94de:2cb5/1282c19:dd:d9:dd:c25:c25:94de:2cb5
1832c19:dd:d9:dd:c25:c25:94de:2cb6/1282c19:dd:d9:dd:c25:c25:94de:2cb6
1842c19:dd:d9:dd:c25:c25:94de:2cb7/1282c19:dd:d9:dd:c25:c25:94de:2cb7
1852c19:dd:d9:dd:c25:c25:94de:2cb8/1282c19:dd:d9:dd:c25:c25:94de:2cb8
1862c19:dd:d9:dd:c25:c25:94de:2cb9/1282c19:dd:d9:dd:c25:c25:94de:2cb9
1872c19:dd:d9:dd:c25:c25:94de:2cba/1282c19:dd:d9:dd:c25:c25:94de:2cba
1882c19:dd:d9:dd:c25:c25:94de:2cbb/1282c19:dd:d9:dd:c25:c25:94de:2cbb
1892c19:dd:d9:dd:c25:c25:94de:2cbc/1282c19:dd:d9:dd:c25:c25:94de:2cbc
1902c19:dd:d9:dd:c25:c25:94de:2cbd/1282c19:dd:d9:dd:c25:c25:94de:2cbd
1912c19:dd:d9:dd:c25:c25:94de:2cbe/1282c19:dd:d9:dd:c25:c25:94de:2cbe
1922c19:dd:d9:dd:c25:c25:94de:2cbf/1282c19:dd:d9:dd:c25:c25:94de:2cbf
1932c19:dd:d9:dd:c25:c25:94de:2cc0/1282c19:dd:d9:dd:c25:c25:94de:2cc0
1942c19:dd:d9:dd:c25:c25:94de:2cc1/1282c19:dd:d9:dd:c25:c25:94de:2cc1
1952c19:dd:d9:dd:c25:c25:94de:2cc2/1282c19:dd:d9:dd:c25:c25:94de:2cc2
1962c19:dd:d9:dd:c25:c25:94de:2cc3/1282c19:dd:d9:dd:c25:c25:94de:2cc3
1972c19:dd:d9:dd:c25:c25:94de:2cc4/1282c19:dd:d9:dd:c25:c25:94de:2cc4
1982c19:dd:d9:dd:c25:c25:94de:2cc5/1282c19:dd:d9:dd:c25:c25:94de:2cc5
1992c19:dd:d9:dd:c25:c25:94de:2cc6/1282c19:dd:d9:dd:c25:c25:94de:2cc6
2002c19:dd:d9:dd:c25:c25:94de:2cc7/1282c19:dd:d9:dd:c25:c25:94de:2cc7
2012c19:dd:d9:dd:c25:c25:94de:2cc8/1282c19:dd:d9:dd:c25:c25:94de:2cc8
2022c19:dd:d9:dd:c25:c25:94de:2cc9/1282c19:dd:d9:dd:c25:c25:94de:2cc9
2032c19:dd:d9:dd:c25:c25:94de:2cca/1282c19:dd:d9:dd:c25:c25:94de:2cca
2042c19:dd:d9:dd:c25:c25:94de:2ccb/1282c19:dd:d9:dd:c25:c25:94de:2ccb
2052c19:dd:d9:dd:c25:c25:94de:2ccc/1282c19:dd:d9:dd:c25:c25:94de:2ccc
2062c19:dd:d9:dd:c25:c25:94de:2ccd/1282c19:dd:d9:dd:c25:c25:94de:2ccd
2072c19:dd:d9:dd:c25:c25:94de:2cce/1282c19:dd:d9:dd:c25:c25:94de:2cce
2082c19:dd:d9:dd:c25:c25:94de:2ccf/1282c19:dd:d9:dd:c25:c25:94de:2ccf
2092c19:dd:d9:dd:c25:c25:94de:2cd0/1282c19:dd:d9:dd:c25:c25:94de:2cd0
2102c19:dd:d9:dd:c25:c25:94de:2cd1/1282c19:dd:d9:dd:c25:c25:94de:2cd1
2112c19:dd:d9:dd:c25:c25:94de:2cd2/1282c19:dd:d9:dd:c25:c25:94de:2cd2
2122c19:dd:d9:dd:c25:c25:94de:2cd3/1282c19:dd:d9:dd:c25:c25:94de:2cd3
2132c19:dd:d9:dd:c25:c25:94de:2cd4/1282c19:dd:d9:dd:c25:c25:94de:2cd4
2142c19:dd:d9:dd:c25:c25:94de:2cd5/1282c19:dd:d9:dd:c25:c25:94de:2cd5
2152c19:dd:d9:dd:c25:c25:94de:2cd6/1282c19:dd:d9:dd:c25:c25:94de:2cd6
2162c19:dd:d9:dd:c25:c25:94de:2cd7/1282c19:dd:d9:dd:c25:c25:94de:2cd7
2172c19:dd:d9:dd:c25:c25:94de:2cd8/1282c19:dd:d9:dd:c25:c25:94de:2cd8
2182c19:dd:d9:dd:c25:c25:94de:2cd9/1282c19:dd:d9:dd:c25:c25:94de:2cd9
2192c19:dd:d9:dd:c25:c25:94de:2cda/1282c19:dd:d9:dd:c25:c25:94de:2cda
2202c19:dd:d9:dd:c25:c25:94de:2cdb/1282c19:dd:d9:dd:c25:c25:94de:2cdb
2212c19:dd:d9:dd:c25:c25:94de:2cdc/1282c19:dd:d9:dd:c25:c25:94de:2cdc
2222c19:dd:d9:dd:c25:c25:94de:2cdd/1282c19:dd:d9:dd:c25:c25:94de:2cdd
2232c19:dd:d9:dd:c25:c25:94de:2cde/1282c19:dd:d9:dd:c25:c25:94de:2cde
2242c19:dd:d9:dd:c25:c25:94de:2cdf/1282c19:dd:d9:dd:c25:c25:94de:2cdf
2252c19:dd:d9:dd:c25:c25:94de:2ce0/1282c19:dd:d9:dd:c25:c25:94de:2ce0
2262c19:dd:d9:dd:c25:c25:94de:2ce1/1282c19:dd:d9:dd:c25:c25:94de:2ce1
2272c19:dd:d9:dd:c25:c25:94de:2ce2/1282c19:dd:d9:dd:c25:c25:94de:2ce2
2282c19:dd:d9:dd:c25:c25:94de:2ce3/1282c19:dd:d9:dd:c25:c25:94de:2ce3
2292c19:dd:d9:dd:c25:c25:94de:2ce4/1282c19:dd:d9:dd:c25:c25:94de:2ce4
2302c19:dd:d9:dd:c25:c25:94de:2ce5/1282c19:dd:d9:dd:c25:c25:94de:2ce5
2312c19:dd:d9:dd:c25:c25:94de:2ce6/1282c19:dd:d9:dd:c25:c25:94de:2ce6
2322c19:dd:d9:dd:c25:c25:94de:2ce7/1282c19:dd:d9:dd:c25:c25:94de:2ce7
2332c19:dd:d9:dd:c25:c25:94de:2ce8/1282c19:dd:d9:dd:c25:c25:94de:2ce8
2342c19:dd:d9:dd:c25:c25:94de:2ce9/1282c19:dd:d9:dd:c25:c25:94de:2ce9
2352c19:dd:d9:dd:c25:c25:94de:2cea/1282c19:dd:d9:dd:c25:c25:94de:2cea
2362c19:dd:d9:dd:c25:c25:94de:2ceb/1282c19:dd:d9:dd:c25:c25:94de:2ceb
2372c19:dd:d9:dd:c25:c25:94de:2cec/1282c19:dd:d9:dd:c25:c25:94de:2cec
2382c19:dd:d9:dd:c25:c25:94de:2ced/1282c19:dd:d9:dd:c25:c25:94de:2ced
2392c19:dd:d9:dd:c25:c25:94de:2cee/1282c19:dd:d9:dd:c25:c25:94de:2cee
2402c19:dd:d9:dd:c25:c25:94de:2cef/1282c19:dd:d9:dd:c25:c25:94de:2cef
2412c19:dd:d9:dd:c25:c25:94de:2cf0/1282c19:dd:d9:dd:c25:c25:94de:2cf0
2422c19:dd:d9:dd:c25:c25:94de:2cf1/1282c19:dd:d9:dd:c25:c25:94de:2cf1
2432c19:dd:d9:dd:c25:c25:94de:2cf2/1282c19:dd:d9:dd:c25:c25:94de:2cf2
2442c19:dd:d9:dd:c25:c25:94de:2cf3/1282c19:dd:d9:dd:c25:c25:94de:2cf3
2452c19:dd:d9:dd:c25:c25:94de:2cf4/1282c19:dd:d9:dd:c25:c25:94de:2cf4
2462c19:dd:d9:dd:c25:c25:94de:2cf5/1282c19:dd:d9:dd:c25:c25:94de:2cf5
2472c19:dd:d9:dd:c25:c25:94de:2cf6/1282c19:dd:d9:dd:c25:c25:94de:2cf6
2482c19:dd:d9:dd:c25:c25:94de:2cf7/1282c19:dd:d9:dd:c25:c25:94de:2cf7
2492c19:dd:d9:dd:c25:c25:94de:2cf8/1282c19:dd:d9:dd:c25:c25:94de:2cf8
2502c19:dd:d9:dd:c25:c25:94de:2cf9/1282c19:dd:d9:dd:c25:c25:94de:2cf9
2512c19:dd:d9:dd:c25:c25:94de:2cfa/1282c19:dd:d9:dd:c25:c25:94de:2cfa
2522c19:dd:d9:dd:c25:c25:94de:2cfb/1282c19:dd:d9:dd:c25:c25:94de:2cfb
2532c19:dd:d9:dd:c25:c25:94de:2cfc/1282c19:dd:d9:dd:c25:c25:94de:2cfc
2542c19:dd:d9:dd:c25:c25:94de:2cfd/1282c19:dd:d9:dd:c25:c25:94de:2cfd
2552c19:dd:d9:dd:c25:c25:94de:2cfe/1282c19:dd:d9:dd:c25:c25:94de:2cfe
2562c19:dd:d9:dd:c25:c25:94de:2cff/1282c19:dd:d9:dd:c25:c25:94de:2cff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses